%define         major   0
%define         libname %mklibname %{name} %{major}
%define         devel   %mklibname %{name} -d

Name:           inih
Version:        60
Release:        %mkrel 1
Summary:        Simple .INI file parser in C, good for embedded systems
Group:          System/Libraries
License:        BSD
URL:            https://github.com/benhoyt/inih/
Source0:        https://github.com/benhoyt/inih/archive/r%{version}/%{name}-r%{version}.tar.gz

BuildRequires:  meson

%description
inih (INI Not Invented Here) is a simple .INI file parser written in C.
It's only a couple of pages of code, and it was designed to be small and
simple, so it's good for embedded systems. It's also more or less compatible
with Python's ConfigParser style of .INI files, including RFC 822-style
multi-line syntax and name: value entries.

To use it, just give ini_parse() an INI file, and it will call a callback
for every name=value pair parsed, giving you strings for the section, name,
and value. It's done this way ("SAX style") because it works well on
low-memory embedded systems, but also because it makes for a KISS
implementation.

%package        -n %{libname}
Summary:        Simple .INI file parser in C, good for embedded systems

%description    -n %{libname}
inih (INI Not Invented Here) is a simple .INI file parser written in C.
It's only a couple of pages of code, and it was designed to be small and
simple, so it's good for embedded systems. It's also more or less compatible
with Python's ConfigParser style of .INI files, including RFC 822-style
multi-line syntax and name: value entries.

To use it, just give ini_parse() an INI file, and it will call a callback
for every name=value pair parsed, giving you strings for the section, name,
and value. It's done this way ("SAX style") because it works well on
low-memory embedded systems, but also because it makes for a KISS
implementation.

%package        -n %{devel}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}

%description    -n %{devel}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-r%{version}

%build
%meson \
    -Ddefault_library=shared \
    -Dwith_INIReader=true \
    -Ddistro_install=true
%meson_build

%install
%meson_install

%files -n %{libname}
%license LICENSE.txt
%doc README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devel}
%{_includedir}/INIReader.h
%{_includedir}/ini.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/INIReader.pc
%{_libdir}/pkgconfig/inih.pc


%changelog
* Thu Apr 10 2025 daviddavid <daviddavid> 60-1.mga10
+ Revision: 2174554
- new version: 60

* Thu Jan 25 2024 kekepower <kekepower> 58-1.mga10
+ Revision: 2034179
- Update to version 58

* Mon Aug 28 2023 kekepower <kekepower> 57-1.mga10
+ Revision: 1980656
- Update to release 57

* Wed Jul 13 2022 kekepower <kekepower> 56-1.mga9
+ Revision: 1868726
- Update to version 56

* Thu Apr 14 2022 kekepower <kekepower> 55-1.mga9
+ Revision: 1849764
- Update to version 55

* Tue Mar 15 2022 umeabot <umeabot> 53-2.mga9
+ Revision: 1793402
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 kekepower <kekepower> 53-1.mga9
+ Revision: 1690832
- Update to version 53

* Sat Dec 12 2020 kekepower <kekepower> 52-1.mga8
+ Revision: 1655819
- imported package inih

